#ifndef BISON_Y_TAB_H
# define BISON_Y_TAB_H

#ifndef YYSTYPE
typedef union
{
  bool truth_value;

  long int integer;

  Configuration::InteractionMode interactivity_value;

  Configuration::FormulaMode formula_mode_value;

  Configuration::StateSpaceMode statespace_mode_value;

  Configuration::ProductMode product_type_value;

  double real;

  string *str;

  struct
  {
    long int min;
    long int max;
  } integer_interval;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	CFG_ALGORITHM	257
# define	CFG_ENABLED	258
# define	CFG_NAME	259
# define	CFG_PARAMETERS	260
# define	CFG_PROGRAMPATH	261
# define	CFG_GLOBALOPTIONS	262
# define	CFG_COMPARISONTEST	263
# define	CFG_CONSISTENCYTEST	264
# define	CFG_INTERACTIVE	265
# define	CFG_INTERSECTIONTEST	266
# define	CFG_MODELCHECK	267
# define	CFG_ROUNDS	268
# define	CFG_VERBOSITY	269
# define	CFG_STATESPACEOPTIONS	270
# define	CFG_EDGEPROBABILITY	271
# define	CFG_PROPOSITIONS	272
# define	CFG_SIZE	273
# define	CFG_TRUTHPROBABILITY	274
# define	CFG_CHANGEINTERVAL	275
# define	CFG_RANDOMSEED	276
# define	CFG_FORMULAOPTIONS	277
# define	CFG_ABBREVIATEDOPERATORS	278
# define	CFG_ANDPRIORITY	279
# define	CFG_BEFOREPRIORITY	280
# define	CFG_DEFAULTOPERATORPRIORITY	281
# define	CFG_EQUIVALENCEPRIORITY	282
# define	CFG_FALSEPRIORITY	283
# define	CFG_FINALLYPRIORITY	284
# define	CFG_GENERATEMODE	285
# define	CFG_GLOBALLYPRIORITY	286
# define	CFG_IMPLICATIONPRIORITY	287
# define	CFG_NEXTPRIORITY	288
# define	CFG_NOTPRIORITY	289
# define	CFG_ORPRIORITY	290
# define	CFG_OUTPUTMODE	291
# define	CFG_PROPOSITIONPRIORITY	292
# define	CFG_RELEASEPRIORITY	293
# define	CFG_STRONGRELEASEPRIORITY	294
# define	CFG_TRUEPRIORITY	295
# define	CFG_UNTILPRIORITY	296
# define	CFG_WEAKUNTILPRIORITY	297
# define	CFG_XORPRIORITY	298
# define	CFG_TRUTH_VALUE	299
# define	CFG_INTERACTIVITY_VALUE	300
# define	CFG_FORMULA_MODE_VALUE	301
# define	CFG_STATESPACE_MODE_VALUE	302
# define	CFG_PRODUCT_TYPE_VALUE	303
# define	CFG_INTEGER	304
# define	CFG_REAL	305
# define	CFG_INTEGER_INTERVAL	306
# define	CFG_STRING_CONSTANT	307
# define	CFG_LBRACE	308
# define	CFG_RBRACE	309
# define	CFG_EQUALS	310
# define	CFG_BLOCK_ID	311
# define	CFG_OPTION_ID	312
# define	CFG_UNKNOWN	313


extern YYSTYPE yylval;

#endif /* not BISON_Y_TAB_H */
